Bug 115897 - evolution crashes when lanched with a segmentation fault
evolution crashes when lanched with a segmentation fault
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Malcolm
Depends On:
  Show dependency treegraph
Reported: 2004-02-16 17:19 EST by Don Hardaway
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-07-08 08:35:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Strace of evolution crash (last portion) (23.82 KB, text/plain)
2004-02-23 15:30 EST, Mace Moneta
no flags Details
addressbook-sources.xml that worked (224 bytes, text/plain)
2004-03-06 13:03 EST, P Jones
no flags Details

  None (edit)
Description Don Hardaway 2004-02-16 17:19:04 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040115

Description of problem:
Application "evolution" (process 2393) has crashed
due to a fatal error.
(Segmentation fault)

Version-Release number of selected component (if applicable):
evolution-1.5.3-1,  kernel-2.6.2-1.81

How reproducible:

Steps to Reproduce:
1.launch evolution

Actual Results:  it crashes

Expected Results:  it works

Additional info:

Application "evolution" (process 2393) has crashed
due to a fatal error.
(Segmentation fault)
Comment 1 Mace Moneta 2004-02-19 13:53:17 EST
I'm seeing this here too.  Evolution simply will not start after the
initial configuration.  

Steps to Reproduce:
1. Add a new userid
2. Run evolution on the new userid
3. Respond to the configuration questions (simple local delivery/SMTP
4. Click Apply when prompted to save the configuration
5. Segfault
6. All subsequent attempts to run Evolution segfault.
Comment 2 Don Hardaway 2004-02-20 11:12:14 EST
I am still having the problem with the latest updates kernel-2.6.3-1.91.
Comment 3 Mace Moneta 2004-02-23 15:30:58 EST
Created attachment 97959 [details]
Strace of evolution crash (last portion)
Comment 4 P Jones 2004-03-02 18:30:27 EST
I get this too.   It seems to be at the end of a dialog that says
something about migrating evolution/addressbook-sources.xml (There or
Comment 5 P Jones 2004-03-06 13:03:04 EST
Created attachment 98344 [details]
addressbook-sources.xml that worked

Comment 6 P Jones 2004-03-06 13:03:59 EST
I found that I could get past this with a diffrent
addressbook-sources.xml file in ~/evolution.

Note You need to log in before you can comment on or make changes to this bug.